<!DOCTYPE html>
<script src="https://apis.google.com/js/platform.js"></script>
<script>
	function onSuccess(googleUser) {
		console.log('Logged in as: ' + googleUser.getBasicProfile().getName());
	}
	function onFailure(error) {
		console.log(error);
	}
	gapi.load('auth2', function () {
		gapi.auth2
			.init({
				client_id: '1017824642299-8u5durlijk4fdq80h8bvi5cjb7pdd0ne.apps.googleusercontent.com',
			})
			.then(
				function () {
					// Listen for sign-in state changes.
					gapi.auth2.getAuthInstance().isSignedIn.listen(updateSigninStatus);
				},
				function (error) {
					console.log(error);
				}
			);
	});
</script>
<body>
	<form id="login-form">
		<label for="email">Email:</label><br />
		<input type="email" id="email" name="email" /><br />
		<label for="password">Password:</label><br />
		<input type="password" id="password" name="password" /><br /><br />
		<button type="submit">Log In</button>
	</form>
	<button id="google-login-button">Log In with Google</button>
</body>
<script>
	const form = document.getElementById('login-form');
	form.addEventListener('submit', (event) => {
		event.preventDefault();
		const email = form.elements.email.value;
		const password = form.elements.password.value;
		const data = { email, password };
		fetch('http://localhost:3000/auth/login', {
			method: 'POST',
			headers: {
				'Content-Type': 'application/json',
			},
			body: JSON.stringify(data),
		})
			.then((response) => response.json())
			.then((user) => {
				console.log(user);
				// handle successful login
			})
			.catch((error) => {
				console.error(error);
				// handle login error
			});
	});

	const googleLoginButton = document.getElementById('google-login-button');
	googleLoginButton.addEventListener('click', () => {
		gapi.auth2
			.getAuthInstance()
			.signIn()
			.then((googleUser) => {
				const idToken = googleUser.getAuthResponse().id_token;
				const data = { idToken };
				fetch('http://localhost:3000/auth/google', {
					method: 'POST',
					headers: {
						'Content-Type': 'application/json',
					},
					body: JSON.stringify(data),
				})
					.then((response) => response.json())
					.then((user) => {
						console.log(user);
						// handle successful login
					})
					.catch((error) => {
						console.error(error);
						// handle login error
					});
			});
	});
</script>
